apport hook looks for snap profile folder in the wrong place

Bug #1900170 reported by Olivier Tilloy on 2020-10-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
chromium-browser (Ubuntu)
High
Olivier Tilloy
Focal
High
Olivier Tilloy

Bug Description

Since https://git.launchpad.net/~chromium-team/chromium-browser/+git/snap-from-source/commit/?id=d7e3b7f8, the default profile directory for the chromium snap was moved from $SNAP_USER_DATA to $SNAP_USER_COMMON (to mitigate the effects of bug #1616650).

But the apport hook in the transitional deb package wasn't updated accordingly.

[Impact]

Bugs filed with `ubuntu-bug chromium-browser` have incomplete data attached. See e.g. the attachements to bug #1899356. There's a file called HookError_chromium_browser.txt with a python traceback because the profile directory wasn't found in the expected location.

[Test Case]

In focal, apt install chromium-browser, then run chromium at least once to ensure there is a profile directory (under $HOME/snap/chromium/common/chromium), then run `ubuntu-bug chromium-browser`. Observe that there isn't a FileNotFoundError traceback in the terminal for an unknown profile directory, and that the apport dialog with a summary of the information to be posted doesn't contain a "HookError_chromium_browser" entry.

[Regression Potential]

This affects only the apport hook for chromium-browser, the application itself shouldn't be affected. The hook should be verified to continue working by running the `ubuntu-bug chromium-browser` command and carefully inspecting the information that would be sent to launchpad.

[Original description]

ProblemType: Bug
DistroRelease: Ubuntu 20.10
Package: chromium-browser (not installed)
ProcVersionSignature: Ubuntu 5.8.0-23.24-generic 5.8.14
Uname: Linux 5.8.0-23-generic x86_64
ApportVersion: 2.20.11-0ubuntu50
Architecture: amd64
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Fri Oct 16 18:40:02 2020
InstallationDate: Installed on 2020-09-16 (29 days ago)
InstallationMedia: Ubuntu 20.10 "Groovy Gorilla" - Alpha amd64 (20200910)
SourcePackage: chromium-browser
UpgradeStatus: No upgrade log present (probably fresh install)

Olivier Tilloy (osomon) wrote :
Changed in chromium-browser (Ubuntu):
assignee: nobody → Olivier Tilloy (osomon)
importance: Undecided → High
status: New → In Progress
Olivier Tilloy (osomon) wrote :
Changed in chromium-browser (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 1:85.0.4183.83-0ubuntu2

---------------
chromium-browser (1:85.0.4183.83-0ubuntu2) groovy; urgency=medium

  [ Sébastien Bacher ]
  * debian/apport/chromium-browser.py:
    - the profile is now installed in the common directory (LP: #1900170)

 -- Olivier Tilloy <email address hidden> Fri, 16 Oct 2020 18:46:11 +0200

Changed in chromium-browser (Ubuntu):
status: Fix Committed → Fix Released
Olivier Tilloy (osomon) on 2020-10-19
Changed in chromium-browser (Ubuntu Focal):
assignee: nobody → Olivier Tilloy (osomon)
status: New → Confirmed
importance: Undecided → High
Olivier Tilloy (osomon) wrote :
Changed in chromium-browser (Ubuntu Focal):
status: Confirmed → In Progress
Olivier Tilloy (osomon) on 2020-10-22
description: updated
description: updated

Hello Olivier, or anyone else affected,

Accepted chromium-browser into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/chromium-browser/1:85.0.4183.83-0ubuntu0.20.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in chromium-browser (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal
Olivier Tilloy (osomon) wrote :

Successfully verified fixed in focal-proposed.

I did the following to test and validate, in a fully up-to-date focal amd64 VM:
 - sudo apt install chromium-browser
 - chromium-browser # to ensure a profile folder is created, then close chromium
 - ubuntu-bug chromium-browser
 # observe the traceback in the terminal, and the "HookError_chromium_browser" section in the summary, choose to not submit the report
 # add focal-proposed universe to sources.list
 - sudo apt update
 - sudo apt dist-upgrade # chromium-browser is updated from 1:85.0.4183.83-0ubuntu0.20.04.1 to 1:85.0.4183.83-0ubuntu0.20.04.2
 - ubuntu-bug chromium-browser
 # observe there is no traceback in the terminal anymore, no "HookError_chromium_browser" section in the summary, and there are sections with details extracted from the profile directory ("Snap.ChromiumVersion", "Snap.ChromiumPrefs")

tags: added: verification-done-focal
removed: verification-needed-focal

The verification of the Stable Release Update for chromium-browser has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package chromium-browser - 1:85.0.4183.83-0ubuntu0.20.04.2

---------------
chromium-browser (1:85.0.4183.83-0ubuntu0.20.04.2) focal; urgency=medium

  [ Sébastien Bacher ]
  * debian/apport/chromium-browser.py:
    - the profile is now installed in the common directory (LP: #1900170)

 -- Olivier Tilloy <email address hidden> Thu, 22 Oct 2020 18:07:20 +0200

Changed in chromium-browser (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers